OpenTTD Source: IndustryAnimationBase Struct Reference

OpenTTD Source 15.0-beta1

Static Public Attributes
IndustryAnimationBase Struct Reference

Helper class for animation control. More...

Inheritance diagram for IndustryAnimationBase:

## Static Public Attributes
static const CallbackID | cb_animation_speed = CBID_INDTILE_ANIMATION_SPEED
static const CallbackID | cb_animation_next_frame = CBID_INDTILE_ANIM_NEXT_FRAME
static const IndustryTileCallbackMask | cbm_animation_speed = CBM_INDT_ANIM_SPEED
static const IndustryTileCallbackMask | cbm_animation_next_frame = CBM_INDT_ANIM_NEXT_FRAME

## Additional Inherited Members
Static Public Member Functions inherited from AnimationBase< IndustryAnimationBase, IndustryTileSpec, Industry, int, GetSimpleIndustryCallback, TileAnimationFrameAnimationHelper< Industry > >
static void | AnimateTile (const IndustryTileSpec *spec, Industry *obj, TileIndex tile, bool random_animation, int extra_data=0)
| Animate a single tile.
static void | ChangeAnimationFrame (CallbackID cb, const IndustryTileSpec *spec, Industry *obj, TileIndex tile, uint32_t random_bits, uint32_t trigger, int extra_data=0)
| Check a callback to determine what the next animation step is and execute that step.

## Detailed Description

Helper class for animation control.

Definition at line 260 of file newgrf_industrytiles.cpp.

## Field Documentation

## ◆ cb_animation_next_frame

const CallbackID IndustryAnimationBase::cb_animation_next_frame = CBID_INDTILE_ANIM_NEXT_FRAME
| static

Definition at line 262 of file newgrf_industrytiles.cpp.

## ◆ cb_animation_speed

const CallbackID IndustryAnimationBase::cb_animation_speed = CBID_INDTILE_ANIMATION_SPEED
| static

Definition at line 261 of file newgrf_industrytiles.cpp.

## ◆ cbm_animation_next_frame

const IndustryTileCallbackMask IndustryAnimationBase::cbm_animation_next_frame = CBM_INDT_ANIM_NEXT_FRAME
| static

Definition at line 265 of file newgrf_industrytiles.cpp.

## ◆ cbm_animation_speed

const IndustryTileCallbackMask IndustryAnimationBase::cbm_animation_speed = CBM_INDT_ANIM_SPEED
| static

Definition at line 264 of file newgrf_industrytiles.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf_industrytiles.cpp